# Class CIM_ProtocolControllerAccessesUnit
extends CIM_ProtocolControllerForDevice

This association is used to define a relationship between a protocol controllers and a Logical Unit (for example a Storage Volume or Media Access Device) controlled by the controller. This association is used instead of ProtocolControllerForUnit to indicate a 'controlled through' relationship rather than a 'controlled by' one. An example is SCSI where this association is used to indicate a target/initiator relationship.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ProtocolControllerForDevice
|
+--CIM_ProtocolControllerAccessesUnit

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

This association is used to define a relationship between a protocol controllers and a Logical Unit (for example a Storage Volume or Media Access Device) controlled by the controller. This association is used instead of ProtocolControllerForUnit to indicate a 'controlled through' relationship rather than a 'controlled by' one. An example is SCSI where this association is used to indicate a target/initiator relationship.

UMLPackagePath | string | CIM::Device::ProtocolController
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
TargetControllerNumber | string |
Description | string | The number of the dependent's target protocol controller. As an example, in SCSI this is the Target ID.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_ProtocolControllerAccessesUnit | CIM_ProtocolController
Dependent | CIM_ProtocolControllerAccessesUnit | CIM_LogicalDevice

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AccessPriority | uint16 | CIM_ProtocolControllerForDevice
AccessState | uint16 | CIM_ProtocolControllerForDevice
DeviceNumber | string | CIM_ProtocolControllerForDevice

## Class Methods